Bug 95510 - Remove uses of ClassInfo from SpeculativeJIT::compileObjectOrOtherLogicalNot
Summary: Remove uses of ClassInfo from SpeculativeJIT::compileObjectOrOtherLogicalNot
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Hahnenberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-30 16:34 PDT by Mark Hahnenberg
Modified: 2012-09-04 11:46 PDT (History)
2 users (show)

See Also:


Attachments
Patch (14.02 KB, patch)
2012-08-30 22:35 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (12.75 KB, patch)
2012-08-31 17:26 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hahnenberg 2012-08-30 16:34:28 PDT
More refactoring to get rid of ClassInfo checks in the DFG.
Comment 1 Mark Hahnenberg 2012-08-30 22:35:16 PDT
Created attachment 161620 [details]
Patch
Comment 2 Mark Hahnenberg 2012-08-31 17:26:13 PDT
Created attachment 161796 [details]
Patch
Comment 3 WebKit Review Bot 2012-09-04 11:46:00 PDT
Comment on attachment 161796 [details]
Patch

Clearing flags on attachment: 161796

Committed r127479: <http://trac.webkit.org/changeset/127479>
Comment 4 WebKit Review Bot 2012-09-04 11:46:02 PDT
All reviewed patches have been landed.  Closing bug.